- Managed Planning Data Foundation
- Core Services
This endpoint allows user to a create schema with all possible states i.e. DEVELOPMENT,PUBLISHED or OBSOLETE but update can be used only on schemas that are in "DEVELOPMENT" state. A schema status can also be changed from DEVELOPMENT to PUBLISHED or OBSOLETE while updating schema content or by providing the same schema content.
Note: The schema may refer to other schema definitions in DEVELOPMENT state. If those schemas are updated, it is the schema owner's responsibility to PUT the dependent schemas again in order to refresh the schema definitions. By default scope for a schema created through this endpoint will be SHARED. Service principal authorization is required to call thi API. There is no need to provide a data-partition-id in the header.
SchemaRequest
Schema info including status, creation and schemaIdentity
{ "schemaIdentity": { "authority": "osdu", "source": "wks", "entityType": "wellbore", "schemaVersionMajor": 1, "schemaVersionMinor": 0, "schemaVersionPatch": 0 }, "status": "DEVELOPMENT" }
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-schema-service/schemas/system
curl -i -X PUT \
https://as5.api.enterprisedata.slb.com/api/schema-service/v1/schemas/system \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"schemaInfo": {
"schemaIdentity": {
"authority": "osdu",
"source": "wks",
"entityType": "wellbore",
"schemaVersionMajor": 1,
"schemaVersionMinor": 0,
"schemaVersionPatch": 0
},
"status": "DEVELOPMENT"
},
"schema": {}
}'Schema updated
The user who created the schema. This value is taken from API caller token.
The UTC date time of the entity creation
Schema Scope - is it internal or shared. This is a system defined attribute based on partition-id passed.
Schema authority source and type description
{ "createdBy": "user@opendes.com", "dateCreated": "2019-05-23 11:16:03+00:00", "schemaIdentity": { "authority": "osdu", "entityType": "wellbore", "id": "osdu:wks:wellbore:1.0.0", "schemaVersionMajor": 1, "schemaVersionMinor": 1, "schemaVersionPatch": 0, "source": "wks" }, "scope": "INTERNAL", "status": "PUBLISHED", "supersededBy": { "authority": "osdu", "entityType": "wellbore", "id": "osdu:wks:wellbore:1.0.0", "schemaVersionMajor": 1, "schemaVersionMinor": 1, "schemaVersionPatch": 0, "source": "wks" } }